import { element } from 'prop-types'
import React from 'react'

import Cart from './views/pages/cart/cart'
import OrderDetails from './views/orders/OrderDetails'
import ProductManual from './views/pages/productManual/productManual'
import ViewProductManual from './views/pages/productManual/viewProductManual'
import { Announcement } from '@mui/icons-material'
import Announcements from './views/pages/announcements/announcements'
import StockTable from './views/pages/stock/stockTable'

const Dashboard = React.lazy(() => import('./views/dashboard/Dashboard'))
const Shop = React.lazy(() => import('./views/shops/Shop'))
const Order = React.lazy(() => import('./views/orders/Order'))
const MyProfile = React.lazy(() => import('./views/pages/profile/MyProfile'))
const ChangePassword = React.lazy(() => import('./views/pages/profile/ChangePassword'))
const Kyc = React.lazy(() => import('./views/pages/Kyc/kyc'))
const KycDetails = React.lazy(() => import('./views/pages/Kyc/kycDetails'))

const routes = [
  { path: '/', exact: true, name: 'Home' },
  { path: '/dashboard', name: 'Dashboard', element: Dashboard },
  { path: '/shop', name: 'Shop', element: Shop },
  { path: '/orders-placed', name: 'Order', element: Order },
  { path: '/orders-placed/:id', name: 'Order', element: OrderDetails },

  // KYC
  { path: '/kyc', name: 'KYC', element: Kyc },
  { path: '/kyc/details/:id', name: 'Kyc details', element: KycDetails },
  // Product manual
  { path: '/product-manual', name: 'Product Manual ', element: ProductManual },
  { path: '/product-manual/:id', name: 'Product Manual ', element: ViewProductManual },

  { path: '/my-profile', name: 'Profile', element: MyProfile },
  { path: '/change-password', name: 'Change password', element: ChangePassword },

  { path: '/cart', name: 'Cart', element: Cart },
  { path: '/announcements', name: 'Announcements', element: Announcements },
  { path: '/stock', name: 'Stock', element: StockTable },
]

export default routes
